# m3e/slider_thumb

SliderThumb is a thumb used to select a value in a slider.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        name: String,
        value: option.Option(Float),
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        name: String,
        value: option.Option(Float),
      )

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## SliderThumb

opaque </>

SliderThumb is a View Model for this component

## Fields:

- disabled: Whether the element is disabled.
- name: The name that identifies the element when submitting the associated form.
- value: The value of the thumb.

    pub opaque type SliderThumb

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_name

</>

    pub const default_name: String

## default_value

</>

    pub const default_value: option.Option(Float)

## disabled

</>

    pub fn disabled(
      record: SliderThumb,
      disabled: Disabled,
    ) -> SliderThumb

disabled sets the value of disabled for this SliderThumb.

## from_config

</>

    pub fn from_config(config: Config) -> SliderThumb

from_config creates a new SliderThumb from the given configuration.

## name

</>

    pub fn name(record: SliderThumb, name: String) -> SliderThumb

name sets the value of name for this SliderThumb.

## new

</>

    pub fn new() -> SliderThumb

new creates a new SliderThumb with the default configuration.

## render

</>

    pub fn render(
      model: SliderThumb,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a SliderThumb

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a SliderThumb Config

## value

</>

    pub fn value(
      record: SliderThumb,
      value: option.Option(Float),
    ) -> SliderThumb

value sets the value of value for this SliderThumb.

✨